<!-- /www/psets/2-notes/index.adp -->
<master>

<h1>Problem Set 2 "Notes"</h1>

<pre>
This Problem Set introduces the concept of an OpenACS "object"
with its powerful automated forms and lists. You will learn:
     - The difference between a database table and an "object"
     - Form-Builder: Display, create and modify objects
     - List-Builder: Create lists of objects
     - Permissions: Specify who can execute operations on objects

</pre>

<table border=0 cellspacing=4 cellpadding=4 width=600>

<tr>
<td class=rowtitle>Action</td>
<td class=rowtitle>Description</td>
<td class=rowtitle>TCL Source</td>
<td class=rowtitle>ADP Source</td>
<td class=rowtitle>SQL Source</td>
</tr>

<tr valign=top>
<td><ul><li><a href="create-data-model"><nobr>create-data-model</nobr></a></ul></td>
<td>Just executes the notes-create.sql script.</td>
<td>(<a href="../show-source?file_name=2-notes/create-data-model.tcl"><nobr>tcl source</nobr></a>)</td>
<td></td>
<td></td>
</tr>

<tr valign=top>
<td><ul><li><nobr>notes-create.sql</nobr></ul></td>
<td>Data-model for the "2-notes" example. Defined the OpenACS object,
including database table and PlPg/SQL database API.</td>
<td></td>
<td></td>
<td>(<a href="../show-source?file_name=2-notes/notes-create.sql"><nobr>sql source</nobr></a>)</td>
</tr>

<tr valign=top>
<td><ul><li><a href="new">new</a></ul></td>
<td>Create, edit and view notes</td>
<td>(<a href="../show-source?file_name=2-notes/new.tcl"><nobr>tcl source</nobr></a>)</td>
<td>(<a href="../show-source?file_name=2-notes/new.adp"><nobr>adp source</nobr></a>)</td>
<td></td>
</tr>

<tr valign=top>
<td><ul><li><a href="list-notes">list-notes</a></ul></td>
<td>Show a list of notes with the option to delete multiple notes</td>
<td>(<a href="../show-source?file_name=2-notes/new.tcl"><nobr>tcl source</nobr></a>)</td>
<td>(<a href="../show-source?file_name=2-notes/new.adp"><nobr>adp source</nobr></a>)</td>
<td></td>
</tr>

<tr valign=top>
<td><ul><li>notes-del</ul></td>
<td>Delete a list of notes notes, being called from list-notes.</td>
<td>(<a href="../show-source?file_name=2-notes/notes-del.tcl"><nobr>tcl source</nobr></a>)</td>
<td></td>
<td></td>
</tr>

</table>

<br>
<p>
<a href="../index">Return to the Problem Set main page</a>
</p>
